var requireCard : boolean = false;

function OnCollisionEnter(col : Collision) {
	if(col.gameObject.CompareTag("Player")){
		if(col.gameObject.GetComponent(MouseStats).keys > 0 && !requireCard){
			GameObject.FindWithTag("DisplayText").GetComponent(Messager).DisplayMessage("Door unlocked");
			Destroy(gameObject);
		} else if(col.gameObject.GetComponent(MouseStats).cards > 3 && requireCard){
			GameObject.FindWithTag("DisplayText").GetComponent(Messager).DisplayMessage("Door unlocked");
		} else {
			GameObject.FindWithTag("DisplayText").GetComponent(Messager).DisplayMessage(requireCard ? "Need " + (3 -col.gameObject.GetComponent(MouseStats).cards) + " keycards" : "Door Locked");
		} 
	}
}